Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
auth
/
authorize
aid_auths_oauth_authorize_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/auth/authorize \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Query Parameters

audience
string
required

The unique identifier of the target API you want to access.

scope
enum<string>

The scopes which you want to request authorization for.

Available options:
openid
response_type
enum<string>
required

This will specify the type of token you will receive at the end of the flow. Use token to get only an access_token

If response_type=token, after the user authenticates with the provider, this will redirect them to your application callback URL while passing the access_token in the address location.hash. This is used for Single Page Apps and on Native Mobile SDKs.

Available options:
authenticate
client_id
string
required

Your application's Client ID.

state
string

An opaque value the clients adds to the initial request that Dintero includes when redirecting the back to the client. This value must be used by the client to prevent CSRF attacks.

redirect_uri
string

The URL to which Dintero will redirect the browser after authorization has been granted by the user.

The redirect_uri value must be specified as a valid callback URL under your Client's Settings.

verification_code
string
required

one-time verification-code

connection
string

The name of the connection configured to your client.

Response

Found

Last modified on May 12, 2026